Device class enums
Public interface » ID macros

Device base classes and bus types. More...

## Typedefs

typedef enum base_classes | hd_base_classes_t
| base class values (superset of PCI classes)
typedef enum sc_monitor | hd_sc_monitor_t
| subclass values of bc_monitor
typedef enum sc_storage | hd_sc_storage_t
| subclass values of bc_storage
typedef enum sc_display | hd_sc_display_t
| subclass values of bc_display
typedef enum sc_framebuffer | hd_sc_framebuffer_t
| subclass values of bc_framebuffer
typedef enum sc_bridge | hd_sc_bridge_t
| subclass values of bc_bridge
typedef enum sc_comm | hd_sc_comm_t
| subclass values of bc_comm
typedef enum sc_system | hd_sc_system_t
| subclass values of bc_system
typedef enum sc_input | hd_sc_input_t
| subclass values of bc_input
typedef enum sc_serial | hd_sc_serial_t
| subclass values of bc_serial
typedef enum sc_internal | hd_sc_internal_t
| internal sub class values (bc_internal)
typedef enum sc_mouse | hd_sc_mouse_t
| subclass values of bc_mouse
typedef enum sc_std | hd_sc_std_t
| subclass values of bc_storage_device
typedef enum sc_net_if | hd_sc_net_if_t
| subclass values of bc_network_interface
typedef enum sc_multimedia | hd_sc_multimedia_t
| subclass values of bc_multimedia
typedef enum sc_keyboard | hd_sc_keyboard_t
| subclass values of bc_keyboard
typedef enum sc_hub | hd_sc_hub_t
| subclass values of bc_hub
typedef enum sc_camera | hd_sc_camera_t
| subclass values of bc_camera
typedef enum sc_modem | hd_sc_modem_t
| subclass values of bc_modem
typedef enum sc_dsl | hd_sc_dsl_t
| subclass values of bc_dsl
typedef enum pif_usb_e | hd_pif_usb_t
| prog_if's of sc_ser_usb
typedef enum pif_cdrom | hd_pif_cdrom_t
| CD-ROM prog_if values.
typedef enum pif_s390disk | hd_pif_s390disk_t
| S/390 disk prog_if values.
typedef enum bus_types | hd_bus_types_t
| bus type values similar to PCI bridge subclasses

## Enumerations

enum

base_classes {
bc_none , bc_storage , bc_network , bc_display ,
bc_multimedia , bc_memory , bc_bridge , bc_comm ,
bc_system , bc_input , bc_docking , bc_processor ,
bc_serial , bc_wireless , bc_i2o , bc_other = 0xff ,
bc_monitor = 0x100 , bc_internal , bc_modem , bc_isdn ,
bc_ps2 , bc_mouse , bc_storage_device , bc_network_interface ,
bc_keyboard , bc_printer , bc_hub , bc_braille ,
bc_scanner , bc_joystick , bc_chipcard , bc_camera ,
bc_framebuffer , bc_dvb , bc_tv , bc_partition ,
bc_dsl , bc_bluetooth , bc_fingerprint , bc_mmc_ctrl
}

| base class values (superset of PCI classes) More...
enum | sc_monitor { sc_mon_other , sc_mon_crt , sc_mon_lcd }
| subclass values of bc_monitor More...
enum | sc_storage { sc_sto_scsi , sc_sto_ide , sc_sto_floppy , sc_sto_ipi , sc_sto_raid , sc_sto_other = 0x80 }
| subclass values of bc_storage More...
enum | sc_display { sc_dis_vga , sc_dis_xga , sc_dis_other = 0x80 }
| subclass values of bc_display More...
enum | sc_framebuffer { sc_fb_vesa = 1 }
| subclass values of bc_framebuffer More...
enum | sc_bridge { sc_bridge_host , sc_bridge_isa , sc_bridge_eisa , sc_bridge_mc , sc_bridge_pci , sc_bridge_pcmcia , sc_bridge_nubus , sc_bridge_cardbus , sc_bridge_other = 0x80 }
| subclass values of bc_bridge More...
enum | sc_comm { sc_com_ser , sc_com_par , sc_com_multi , sc_com_modem , sc_com_other = 0x80 }
| subclass values of bc_comm More...
enum | sc_system { sc_sys_pic , sc_sys_dma , sc_sys_timer , sc_sys_rtc , sc_sys_other = 0x80 }
| subclass values of bc_system More...
enum | sc_input { sc_inp_keyb , sc_inp_digit , sc_inp_mouse , sc_inp_other = 0x80 }
| subclass values of bc_input More...
enum | sc_serial { sc_ser_fire , sc_ser_access , sc_ser_ssa , sc_ser_usb , sc_ser_fiber , sc_ser_smbus , sc_ser_infiniband , sc_ser_other = 0x80 }
| subclass values of bc_serial More...
enum | sc_internal { sc_int_none , sc_int_isapnp_if , sc_int_main_mem , sc_int_cpu , sc_int_fpu , sc_int_bios , sc_int_prom , sc_int_sys }
| internal sub class values (bc_internal) More...
enum | sc_mouse { sc_mou_ps2 , sc_mou_ser , sc_mou_bus , sc_mou_usb , sc_mou_sun , sc_mou_other = 0x80 }
| subclass values of bc_mouse More...
enum | sc_std { sc_sdev_disk , sc_sdev_tape , sc_sdev_cdrom , sc_sdev_floppy , sc_sdev_scanner , sc_sdev_other = 0x80 }
| subclass values of bc_storage_device More...
enum | sc_net_if { sc_nif_loopback , sc_nif_ethernet , sc_nif_tokenring , sc_nif_fddi , sc_nif_ctc , sc_nif_iucv , sc_nif_hsi , sc_nif_qeth , sc_nif_escon , sc_nif_myrinet , sc_nif_wlan , sc_nif_xp , sc_nif_usb , sc_nif_other = 0x80 , sc_nif_sit }
| subclass values of bc_network_interface More...
enum | sc_multimedia { sc_multi_video , sc_multi_audio , sc_multi_other }
| subclass values of bc_multimedia More...
enum | sc_keyboard { sc_keyboard_kbd , sc_keyboard_console }
| subclass values of bc_keyboard More...
enum | sc_hub { sc_hub_other , sc_hub_usb }
| subclass values of bc_hub More...
enum | sc_camera { sc_camera_webcam , sc_camera_digital }
| subclass values of bc_camera More...
enum | sc_modem { sc_mod_at , sc_mod_win1 , sc_mod_win2 , sc_mod_win3 , sc_mod_win4 }
| subclass values of bc_modem More...
enum | sc_dsl { sc_dsl_unknown , sc_dsl_pppoe , sc_dsl_capi , sc_dsl_capiisdn }
| subclass values of bc_dsl More...
enum | pif_usb_e { pif_usb_uhci = 0 , pif_usb_ohci = 0x10 , pif_usb_ehci = 0x20 , pif_usb_xhci = 0x30 , pif_usb_other = 0x80 , pif_usb_device = 0xfe }
| prog_if's of sc_ser_usb More...
enum | pif_cdrom { pif_cdrom , pif_cdr , pif_cdrw , pif_dvd , pif_dvdr , pif_dvdram }
| CD-ROM prog_if values. More...
enum | pif_s390disk { pif_scsi , pif_dasd , pif_dasd_fba }
| S/390 disk prog_if values. More...
enum | bus_types { bus_none , bus_isa , bus_eisa , bus_mc , bus_pci , bus_pcmcia , bus_nubus , bus_cardbus , bus_other , bus_ps2 = 0x80 , bus_serial , bus_parallel , bus_floppy , bus_scsi , bus_ide , bus_usb , bus_adb , bus_raid , bus_sbus , bus_i2o , bus_vio , bus_ccw , bus_iucv , bus_ps3_system_bus , bus_virtio , bus_ibmebus , bus_gameport , bus_uisvirtpci , bus_mmc , bus_sdio , bus_nd }
| bus type values similar to PCI bridge subclasses More...

## Detailed Description

Device base classes and bus types.

## Typedef Documentation

## hd_base_classes_t

typedef enum base_classes hd_base_classes_t

base class values (superset of PCI classes)

## hd_bus_types_t

typedef enum bus_types hd_bus_types_t

bus type values similar to PCI bridge subclasses

## hd_pif_cdrom_t

typedef enum pif_cdrom hd_pif_cdrom_t

CD-ROM prog_if values.

## hd_pif_s390disk_t

typedef enum pif_s390disk hd_pif_s390disk_t

S/390 disk prog_if values.

## hd_pif_usb_t

typedef enum pif_usb_e hd_pif_usb_t

prog_if's of sc_ser_usb

## hd_sc_bridge_t

typedef enum sc_bridge hd_sc_bridge_t

subclass values of bc_bridge

## hd_sc_camera_t

typedef enum sc_camera hd_sc_camera_t

subclass values of bc_camera

## hd_sc_comm_t

typedef enum sc_comm hd_sc_comm_t

subclass values of bc_comm

## hd_sc_display_t

typedef enum sc_display hd_sc_display_t

subclass values of bc_display

## hd_sc_dsl_t

typedef enum sc_dsl hd_sc_dsl_t

subclass values of bc_dsl

## hd_sc_framebuffer_t

typedef enum sc_framebuffer hd_sc_framebuffer_t

subclass values of bc_framebuffer

## hd_sc_hub_t

typedef enum sc_hub hd_sc_hub_t

subclass values of bc_hub

## hd_sc_input_t

typedef enum sc_input hd_sc_input_t

subclass values of bc_input

## hd_sc_internal_t

typedef enum sc_internal hd_sc_internal_t

internal sub class values (bc_internal)

## hd_sc_keyboard_t

typedef enum sc_keyboard hd_sc_keyboard_t

subclass values of bc_keyboard

## hd_sc_modem_t

typedef enum sc_modem hd_sc_modem_t

subclass values of bc_modem

## hd_sc_monitor_t

typedef enum sc_monitor hd_sc_monitor_t

subclass values of bc_monitor

## hd_sc_mouse_t

typedef enum sc_mouse hd_sc_mouse_t

subclass values of bc_mouse

## hd_sc_multimedia_t

typedef enum sc_multimedia hd_sc_multimedia_t

subclass values of bc_multimedia

## hd_sc_net_if_t

typedef enum sc_net_if hd_sc_net_if_t

subclass values of bc_network_interface

## hd_sc_serial_t

typedef enum sc_serial hd_sc_serial_t

subclass values of bc_serial

## hd_sc_std_t

typedef enum sc_std hd_sc_std_t

subclass values of bc_storage_device

## hd_sc_storage_t

typedef enum sc_storage hd_sc_storage_t

subclass values of bc_storage

## hd_sc_system_t

typedef enum sc_system hd_sc_system_t

subclass values of bc_system

## Enumeration Type Documentation

## base_classes

enum base_classes

base class values (superset of PCI classes)

Enumerator
bc_none |
bc_storage |
bc_network |
bc_display |
bc_multimedia |
bc_memory |
bc_bridge |
bc_comm |
bc_system |
bc_input |
bc_docking |
bc_processor |
bc_serial |
bc_wireless |
bc_i2o |
bc_other |
bc_monitor |
bc_internal |
bc_modem |
bc_isdn |
bc_ps2 |
bc_mouse |
bc_storage_device |
bc_network_interface |
bc_keyboard |
bc_printer |
bc_hub |
bc_braille |
bc_scanner |
bc_joystick |
bc_chipcard |
bc_camera |
bc_framebuffer |
bc_dvb |
bc_tv |
bc_partition |
bc_dsl |
bc_bluetooth |
bc_fingerprint |
bc_mmc_ctrl |

## bus_types

enum bus_types

bus type values similar to PCI bridge subclasses

Enumerator
bus_none |
bus_isa |
bus_eisa |
bus_mc |
bus_pci |
bus_pcmcia |
bus_nubus |
bus_cardbus |
bus_other |
bus_ps2 | outside the range of the PCI values
bus_serial |
bus_parallel |
bus_floppy |
bus_scsi |
bus_ide |
bus_usb |
bus_adb |
bus_raid |
bus_sbus |
bus_i2o |
bus_vio |
bus_ccw |
bus_iucv |
bus_ps3_system_bus |
bus_virtio |
bus_ibmebus |
bus_gameport |
bus_uisvirtpci |
bus_mmc |
bus_sdio |
bus_nd |

## pif_cdrom

enum pif_cdrom

CD-ROM prog_if values.

Enumerator
pif_cdrom |
pif_cdr |
pif_cdrw |
pif_dvd |
pif_dvdr |
pif_dvdram |

## pif_s390disk

enum pif_s390disk

S/390 disk prog_if values.

Enumerator
pif_scsi |
pif_dasd |
pif_dasd_fba |

## pif_usb_e

enum pif_usb_e

prog_if's of sc_ser_usb

Enumerator
pif_usb_uhci |
pif_usb_ohci |
pif_usb_ehci |
pif_usb_xhci |
pif_usb_other |
pif_usb_device |

## sc_bridge

enum sc_bridge

subclass values of bc_bridge

Enumerator
sc_bridge_host |
sc_bridge_isa |
sc_bridge_eisa |
sc_bridge_mc |
sc_bridge_pci |
sc_bridge_pcmcia |
sc_bridge_nubus |
sc_bridge_cardbus |
sc_bridge_other |

## sc_camera

enum sc_camera

subclass values of bc_camera

Enumerator
sc_camera_webcam |
sc_camera_digital |

## sc_comm

enum sc_comm

subclass values of bc_comm

Enumerator
sc_com_ser |
sc_com_par |
sc_com_multi |
sc_com_modem |
sc_com_other |

## sc_display

enum sc_display

subclass values of bc_display

Enumerator
sc_dis_vga |
sc_dis_xga |
sc_dis_other |

## sc_dsl

enum sc_dsl

subclass values of bc_dsl

Enumerator
sc_dsl_unknown |
sc_dsl_pppoe |
sc_dsl_capi |
sc_dsl_capiisdn |

## sc_framebuffer

enum sc_framebuffer

subclass values of bc_framebuffer

Enumerator
sc_fb_vesa |

## sc_hub

enum sc_hub

subclass values of bc_hub

Enumerator
sc_hub_other |
sc_hub_usb |

## sc_input

enum sc_input

subclass values of bc_input

Enumerator
sc_inp_keyb |
sc_inp_digit |
sc_inp_mouse |
sc_inp_other |

## sc_internal

enum sc_internal

internal sub class values (bc_internal)

Enumerator
sc_int_none |
sc_int_isapnp_if |
sc_int_main_mem |
sc_int_cpu |
sc_int_fpu |
sc_int_bios |
sc_int_prom |
sc_int_sys |

## sc_keyboard

enum sc_keyboard

subclass values of bc_keyboard

Enumerator
sc_keyboard_kbd |
sc_keyboard_console |

## sc_modem

enum sc_modem

subclass values of bc_modem

Enumerator
sc_mod_at |
sc_mod_win1 |
sc_mod_win2 |
sc_mod_win3 |
sc_mod_win4 |

## sc_monitor

enum sc_monitor

subclass values of bc_monitor

Enumerator
sc_mon_other |
sc_mon_crt |
sc_mon_lcd |

## sc_mouse

enum sc_mouse

subclass values of bc_mouse

Enumerator
sc_mou_ps2 |
sc_mou_ser |
sc_mou_bus |
sc_mou_usb |
sc_mou_sun |
sc_mou_other |

## sc_multimedia

enum sc_multimedia

subclass values of bc_multimedia

Enumerator
sc_multi_video |
sc_multi_audio |
sc_multi_other |

## sc_net_if

enum sc_net_if

subclass values of bc_network_interface

Enumerator
sc_nif_loopback |
sc_nif_ethernet |
sc_nif_tokenring |
sc_nif_fddi |
sc_nif_ctc |
sc_nif_iucv |
sc_nif_hsi |
sc_nif_qeth |
sc_nif_escon |
sc_nif_myrinet |
sc_nif_wlan |
sc_nif_xp |
sc_nif_usb |
sc_nif_other |
sc_nif_sit |

## sc_serial

enum sc_serial

subclass values of bc_serial

Enumerator
sc_ser_fire |
sc_ser_access |
sc_ser_ssa |
sc_ser_usb |
sc_ser_fiber |
sc_ser_smbus |
sc_ser_infiniband |
sc_ser_other |

## sc_std

enum sc_std

subclass values of bc_storage_device

Enumerator
sc_sdev_disk |
sc_sdev_tape |
sc_sdev_cdrom |
sc_sdev_floppy |
sc_sdev_scanner |
sc_sdev_other |

## sc_storage

enum sc_storage

subclass values of bc_storage

Enumerator
sc_sto_scsi |
sc_sto_ide |
sc_sto_floppy |
sc_sto_ipi |
sc_sto_raid |
sc_sto_other |

## sc_system

enum sc_system

subclass values of bc_system

Enumerator
sc_sys_pic |
sc_sys_dma |
sc_sys_timer |
sc_sys_rtc |
sc_sys_other |